"{ Package: 'stx:libbasic' }"

SequenceableCollection subclass:#ReadOnlySequenceableCollection
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Abstract'
!


!ReadOnlySequenceableCollection methodsFor:'blocked access'!

add:newObject
    "{ Pragma: +optSpace }"

    "catch add message - cannot add elements"

    self error:('elements cannot be added to ' , self classNameWithArticle)

    "
     (1 to:10) add:11   
    "

    "Created: / 31.10.2001 / 10:06:44 / cg"
    "Modified: / 31.10.2001 / 10:08:15 / cg"
!

at:index put:anObject
    "{ Pragma: +optSpace }"

    "catch at:put: message - cannot store elements"

    self error:('you cannot store into ' , self classNameWithArticle)

    "
     (1 to:10) at:5 put:10   
     (1 to:10) atAllPut:5   
     (1 to:10) replaceFrom:1 to:4 with:#(10 20 30 40)  
    "

    "Created: / 31.10.2001 / 10:05:36 / cg"
    "Modified: / 31.10.2001 / 10:09:19 / cg"
!

remove:anObject
    "{ Pragma: +optSpace }"

    "catch remove message - cannot remove elements"

    self error:('elements cannot be removed from ' , self classNameWithArticle)

    "
     (1 to:10) remove:9   
    "

    "Created: / 31.10.2001 / 10:07:12 / cg"
    "Modified: / 31.10.2001 / 10:07:29 / cg"
! !

!ReadOnlySequenceableCollection class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/ReadOnlySequenceableCollection.st,v 1.1 2001-10-31 10:03:05 cg Exp $'
! !
